#	$OpenBSD: transfer.sh,v 1.1 2002/03/27 00:03:37 markus Exp $
#	Placed in the Public Domain.
#	edited to work with busybox's dd version; 2010/11/18 rborisov

tid="transfer data"

DATA=/bin/busybox${EXEEXT}
COPY=${OBJ}/copy
TMP=${OBJ}/tmp

for p in 1 2; do
	verbose "$tid: proto $p"
	rm -f ${COPY}
	${SSH} -n -q -$p -F $OBJ/ssh_proxy somehost cat ${DATA} > ${COPY}
	if [ $? -ne 0 ]; then
		fail "ssh cat $DATA failed"
	fi
	cmp ${DATA} ${COPY}		|| fail "corrupted copy"

	for s in 10 100 1000 32000 64000 128000 256000; do
		trace "proto $p dd-size ${s}"
		rm -f ${COPY}
		rm -f ${TMP}
		for i in `seq -s " " 1 10`; 
		do dd if=$DATA bs=1 skip=$((i*s)) count=$s 2> /dev/null | \
			cat >> ${TMP} ;
		done		
		
		for i in `seq -s " " 1 10`; 
		do dd if=$DATA bs=1 skip=$((i*s)) count=$s 2> /dev/null | \
			${SSH} -q -$p -F $OBJ/ssh_proxy somehost cat >> ${COPY};
		done
		if [ $? -ne 0 ]; then
			fail "ssh cat $DATA failed"
		fi
		cmp ${TMP} ${COPY}		|| fail "corrupted copy"
	done
done
#rm -f ${COPY}
